This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 381051 - Review Request: R-abind - Combine multi-dimensional arrays
Review Request: R-abind - Combine multi-dimensional arrays
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-13 16:34 EST by Tom "spot" Callaway
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 16:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
tibbs: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-13 16:34:12 EST
Spec URL: http://www.auroralinux.org/people/spot/review/new/R-abind.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/R-abind-1.1-1.fc8.src.rpm
Description: 
Combine multi-dimensional arrays. This is a generalization of cbind and rbind.
Takes a sequence of vectors, matrices, or arrays and produces a single array
of the same or higher dimension.
Comment 1 Jason Tibbitts 2007-11-17 21:00:21 EST
I note that while installing dependencies for this program I got this:

*** Cannot find any Java interpreter
*** Please make sure 'java' is on you PATH or set JAVA_HOME correspondingly

I guess the call to R CMD javareconf in the R %post scriptlet causes this.

This package builds fine with the usual rpmlint complaints:
  R-abind.noarch: W: one-line-command-in-%post 
   /usr/lib/rpm/R-make-search-index.sh
  R-abind.noarch: W: one-line-command-in-%postun 
   /usr/lib/rpm/R-make-search-index.sh
We should probably pester scop to work around this.

Do you know how to read R test suite output?  I still don't, so I can't tell if
the diffs shown in the output are cause for concern or not.  The tests all end
with OK, which I'm taking to mean "test passed".

* source files match upstream:
   f7c0ff0db4719edbb330ec183b1b10478af96345078cf40150efef895154a082  
   abind_1.1-0.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint has only the expected complaints
* final provides and requires are sane:
   R-abind = 1.1-1.fc9
  =
   /bin/sh
   R
* %check is present and all tests pass, as far as I can tell.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (R index generation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Tom "spot" Callaway 2007-11-20 16:48:13 EST
Cvs done, builds building. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.